Loading...
Searching...
No Matches
janus_plugin_session Struct Reference

Plugin-Gateway session mapping. More...

`#include <plugin.h>`

Collaboration diagram for janus_plugin_session:
[legend]

## Data Fields

void * | gateway_handle
| Opaque pointer to the Janus core-level handle.
void * | plugin_handle
| Opaque pointer to the plugin session.
volatile gint | stopped
| Whether this mapping has been stopped definitely or not: if so, the plugin shouldn't make use of it anymore.
janus_refcount | ref
| Reference counter for this instance.

## Detailed Description

Plugin-Gateway session mapping.

## Field Documentation

## gateway_handle

void* janus_plugin_session::gateway_handle

Opaque pointer to the Janus core-level handle.

## plugin_handle

void* janus_plugin_session::plugin_handle

Opaque pointer to the plugin session.

## ref

janus_refcount janus_plugin_session::ref

Reference counter for this instance.

## stopped

volatile gint janus_plugin_session::stopped

Whether this mapping has been stopped definitely or not: if so, the plugin shouldn't make use of it anymore.

The documentation for this struct was generated from the following file:

- plugin.h